Subject: Re: bug#15838: Guile 2.0.9 on BlueGene Q

From: Andy Wingo <[email-masked]>
Date: Tue, 21 Jun 2016 14:03:17 +0200

Hi Jonathan,

Thanks for the report and sorry for never getting back to you.  The good
news is that there are new releases of Guile and libgc.  The bad news is
that we can't do anything for you on this report, given that there are
new releases and there's not much other info.  I know you've probably
moved on, but apologies in any case.  Please open a new bug if you have
build or run errors on Guile 2.0.11 with the latest stable libgc.

Cheers,

Andy

On Fri 08 Nov 2013 22:39, "Carroll-Nellenback, Jonathan" <[email-masked]> writes:

> Hi,
> I am trying to run guile 2.0.9 on the BlueGene Q architecture, but
> when I try to run the following guile script, 
>
> (display "Hello, world!")
> (newline)
>
> the code exits immediately with the following error:
>
> *** glibc detected *** /usr/local/guile/2.0.9/bin/guile: free():
> invalid next size (fast): 0x00000019c6001f00 ***
>
> I’ve been able to build and run it successfully on the head nodes -
> but when I cross compile for the compute nodes, the code dies.
>
> I’ve attached the config.log and the output from make and here is the
> backtrace
>
> /bgsys/drivers/V1R2M0/ppc64/toolchain/gnu/glibc-2.12.2/stdlib/abort.c:77
> /bgsys/drivers/V1R2M0/ppc64/toolchain/gnu/glibc-2.12.2/libio/../sysdeps/unix/sysv/linux/libc_fatal.c:186
> /bgsys/drivers/V1R2M0/ppc64/toolchain/gnu/glibc-2.12.2/malloc/malloc.c:6327
> /bgsys/drivers/V1R2M0/ppc64/toolchain/gnu/glibc-2.12.2/malloc/malloc.c:3779
> /bgsys/drivers/V1R2M0/ppc64/toolchain/gnu/glibc-2.12.2/nptl/pthread_attr_destroy.c:42
> :0
> :0
> /usr/local/src/guile/guile-2.0.9/libguile/gc.c:653
> /usr/local/src/guile/guile-2.0.9/libguile/init.c:385
> /usr/local/src/guile/guile-2.0.9/libguile/threads.c:835
> /usr/local/src/guile/guile-2.0.9/libguile/threads.c:901
> :0
> /usr/local/src/guile/guile-2.0.9/libguile/threads.c:951
> /usr/local/src/guile/guile-2.0.9/libguile/threads.c:957
> /usr/local/src/guile/guile-2.0.9/libguile/init.c:320
> /usr/local/src/guile/guile-2.0.9/libguile/guile.c:108
> /bgsys/drivers/V1R2M0/ppc64/toolchain/gnu/glibc-2.12.2/csu/../csu/libc-start.c:226
> /bgsys/drivers/V1R2M0/ppc64/toolchain/gnu/glibc-2.12.2/csu/../sysdeps/unix/sysv/linux/powerpc/libc-start.c:194
> ??:0